-- hds header_start
--
-- hds header_end

LIBRARY ieee;
USE ieee.std_logic_1164.all;
USE ieee.std_logic_arith.all;



-- Latch with reset priority
-----------------------------

entity latch_rs is
   port( 
   	R    : in     std_logic;
      S    : in     std_logic;
      
      init : in     std_logic;
      O    : out    std_logic
   );

-- Declarations

end latch_rs ;


-- hds interface_end
architecture rtl of latch_rs is
	
begin
	latch : process (S, R, init)
   begin
   
   	if (init = '1') then 
   		O <= '0';
   	
   	else
	   	   	
	   	if (R = '1') then
	   		O <= '0' after 1 ns;
	   	end if;
	         
			if ((S = '1') and (R = '0'))  then 
				O <= '1' after 1 ns;
	    	end if;
		end if;
   end process;
end rtl;
